
GammaLib - Feature #340

Optimize Romberg integrator precision

07/18/2012 12:06 AM - Knödlseder Jürgen

Status: Closed Start date: 07/18/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The precision of the Romberg integrator has been set arbitrary to 1e-6. This was the original value taken from Numerical recipes.

Several studies have shown so far that a precision of 1e-5 seem to be sufficient, at least for CTA response computations (see for

example [[GCTAResponse]]). We should investigate, based on extensive tests, what the default precision should be.

History

#1 - 07/11/2014 04:14 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#2 - 10/31/2014 04:29 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The precision is no longer use for response computation, but rather the integration depth. This considerable stabilizes the convergence behavior.

Consider as closed now.
